Skip to main content
PUT
/
identity
/
accounts
Update Account
curl --request PUT \
  --url https://api.paxos.com/v2/identity/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account": {
    "id": "79c27a0e-46a2-4276-9769-e1ebc055fa72",
    "members": [
      {
        "identity_id": "11a3122a-0c50-4950-9934-2ad48a782b78",
        "roles": [
          "FINANCIAL_ADVISOR"
        ]
      },
      {
        "identity_id": "08ba6b70-bcc0-4e4a-a67f-1d28842dedfc",
        "roles": [
          "AUTHORIZED_USER"
        ]
      },
      {
        "identity_id": "2dedfc70-a67f-4e4a-bcc0-1d288408ba6b",
        "roles": [
          "BENEFICIAL_OWNER"
        ]
      }
    ]
  }
}
'
import requests

url = "https://api.paxos.com/v2/identity/accounts"

payload = { "account": {
"id": "79c27a0e-46a2-4276-9769-e1ebc055fa72",
"members": [
{
"identity_id": "11a3122a-0c50-4950-9934-2ad48a782b78",
"roles": ["FINANCIAL_ADVISOR"]
},
{
"identity_id": "08ba6b70-bcc0-4e4a-a67f-1d28842dedfc",
"roles": ["AUTHORIZED_USER"]
},
{
"identity_id": "2dedfc70-a67f-4e4a-bcc0-1d288408ba6b",
"roles": ["BENEFICIAL_OWNER"]
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: {
id: '79c27a0e-46a2-4276-9769-e1ebc055fa72',
members: [
{
identity_id: '11a3122a-0c50-4950-9934-2ad48a782b78',
roles: ['FINANCIAL_ADVISOR']
},
{
identity_id: '08ba6b70-bcc0-4e4a-a67f-1d28842dedfc',
roles: ['AUTHORIZED_USER']
},
{
identity_id: '2dedfc70-a67f-4e4a-bcc0-1d288408ba6b',
roles: ['BENEFICIAL_OWNER']
}
]
}
})
};

fetch('https://api.paxos.com/v2/identity/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2014-02-20T04:22:22.222221Z",
  "id": "79c27a0e-46a2-4276-9769-e1ebc055fa72",
  "identity_id": "0acd56b7-140b-4b29-83e4-7e717f03afd9",
  "members": [
    {
      "identity_id": "11a3122a-0c50-4950-9934-2ad48a782b78",
      "roles": [
        "FINANCIAL_ADVISOR"
      ]
    },
    {
      "identity_id": "08ba6b70-bcc0-4e4a-a67f-1d28842dedfc",
      "roles": [
        "AUTHORIZED_USER"
      ]
    },
    {
      "identity_id": "2dedfc70-a67f-4e4a-bcc0-1d288408ba6b",
      "roles": [
        "BENEFICIAL_OWNER"
      ]
    }
  ],
  "summary_status": "PENDING",
  "updated_at": "2022-02-24T04:20:22.222222Z"
}
OAuth Scope
identity:write_account

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Body

application/json
account
object
required
set_user_disabled
boolean

true if the account is required to be disabled by the API user.

Response

200 - application/json

A successful response.

id
string

The id used for all other interactions with this account. Required on update. Auto-generated on create; do not set.

identity_id
string

The primary identity associated with the account. Required on create. Not writable on update.

description
string

A free-text description of the account.

admin_disabled
boolean

true if the account has been disabled by a Paxos admin.

user_disabled
boolean

true if the account has been disabled by the API user.

metadata
object

API User-facing metadata.

ref_id
string

A user-facing ID to prevent duplicate account creation. Unique for all accounts created by the same API user.

members
object[]

Additional Identities with varying types of access to this account.

created_at
string<date-time>

The time this account was created.

summary_status
enum<string>
Available options:
PENDING,
ERROR,
APPROVED,
DENIED,
DISABLED
updated_at
string<date-time>

The time this account was updated.

profile_id
string

The ID of the profile created for the account when create_profile=true. The Profile type is NORMAL. The field is omitted when the account has no associated Profile.

type
enum<string>
Available options:
BROKERAGE,
TRADITIONAL_IRA,
ROTH_IRA,
SEP_IRA,
FINANCIAL_ADVISOR